## mariadb-11.8-mroonga 15.21

=== debian/changelog ===
mariadb-11.8-mroonga (15.21-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 04 Dec 2025 08:39:56 -0000

## mariadb-11.8-mroonga 15.22

=== debian/changelog ===
mariadb-11.8-mroonga (15.22-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 10 Dec 2025 03:21:08 -0000

## mariadb-11.8-mroonga 15.23

=== CMakeLists.txt ===
# -*- indent-tabs-mode: nil -*-
#
# Copyright(C) 2012-2024  Sutou Kouhei <kou@clear-code.com>
# Copyright(C) 2013  Kentoku SHIBA
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  set(MRN_BUNDLED FALSE)
else()
  set(MRN_BUNDLED TRUE)
endif()

if(MRN_BUNDLED)
  if(WITHOUT_MROONGA OR
      WITHOUT_MROONGA_STORAGE_ENGINE OR
      "${PLUGIN_MROONGA}" STREQUAL "NO")
    return()
  endif()
endif()

# Ubuntu 22.04: 3.22
cmake_minimum_required(VERSION 3.22)

file(READ ${CMAKE_CURRENT_SOURCE_DIR}/version_full   MRN_VERSION_FULL)
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/version_major  MRN_VERSION_MAJOR)
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/version_minor  MRN_VERSION_MINOR)
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/version_micro  MRN_VERSION_MICRO)
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/version_in_hex MRN_VERSION_IN_HEX)
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/plugin_version MRN_PLUGIN_VERSION)

project(mroonga
  VERSION "${VERSION}"
  DESCRIPTION "CJK-ready fulltext search, column store"
  LANGUAGES C CXX)

if(NOT DEFINED CMAKE_CXX_STANDARD OR CMAKE_CXX_STANDARD LESS 17)
  set(CMAKE_CXX_STANDARD 17)
endif()

include(TestBigEndian)
test_big_endian(BIG_ENDIAN)
if(BIG_ENDIAN)
  set(MRN_BIG_ENDIAN_NOT_SUPPORTED_MESSAGE
    "Mroonga doesn't support on big-endian")
  if(MRN_BUNDLED)
    message(STATUS ${MRN_BIG_ENDIAN_NOT_SUPPORTED_MESSAGE})
    return()
  else()
    message(FATAL_ERROR ${MRN_BIG_ENDIAN_NOT_SUPPORTED_MESSAGE})
  endif()
endif()

if(MSVC)
  if(MSVC_VERSION LESS 1800)
    set(MRN_OLD_MSVC_MESSAGE "Mroonga supports only MSVC 2013 or later")
    if(MRN_BUNDLED)
      message(STATUS ${MRN_OLD_MSVC_MESSAGE})
      return()
    else()
      message(FATAL_ERROR ${MRN_OLD_MSVC_MESSAGE})
    endif()
  endif()
endif()

set(MRN_BUNDLED_GROONGA_RELATIVE_DIR "../../extra/groonga")
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${MRN_BUNDLED_GROONGA_RELATIVE_DIR}")
  set(MRN_BUNDLED_GROONGA_RELATIVE_DIR "vendor/groonga")
endif()
set(MRN_BUNDLED_GROONGA_DIR
  "${CMAKE_CURRENT_SOURCE_DIR}/${MRN_BUNDLED_GROONGA_RELATIVE_DIR}")
if(EXISTS "${MRN_BUNDLED_GROONGA_DIR}")
  set(MRN_GROONGA_BUNDLED TRUE)
else()
  set(MRN_GROONGA_BUNDLED FALSE)
endif()

set(MRN_PLUGIN_SUFFIX ${CMAKE_SHARED_MODULE_SUFFIX})

# Reset include directories defined by MariaDB.
get_directory_property(DEFAULT_INCLUDE_DIRECTORIES INCLUDE_DIRECTORIES)
set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES "")

if(MRN_BUNDLED)
  set(MYSQL_SOURCE_DIR ${CMAKE_SOURCE_DIR})
  set(MYSQL_BUILD_DIR ${CMAKE_BINARY_DIR})
  set(MYSQL_PLUGIN_DIR "${INSTALL_PLUGINDIR}")
  set(MYSQL_CFLAGS "${CMAKE_C_FLAGS}")
  set(MYSQL_VERSION "${MYSQL_BASE_VERSION}")
else()
  set(MYSQL_SOURCE_DIR "/PATH/TO/MYSQL/SOURCE/DIRECTORY/"
    CACHE PATH "MySQL source directory")
  if(NOT EXISTS ${MYSQL_SOURCE_DIR})
    message(FATAL_ERROR
      "MySQL source directory (MYSQL_SOURCE_DIR) doesn't exist: <${MYSQL_SOURCE_DIR}>")
  endif()
  set(MYSQL_BUILD_DIR ${MYSQL_SOURCE_DIR} CACHE PATH "MySQL build directory")
  set(MYSQL_CONFIG "mysql_config" CACHE PATH "mysql-config command path")
  find_program(MYSQL_CONFIG "${MYSQL_CONFIG}")

  macro(SET_MYSQL_CONFIG_VALUE OPTION VARIABLE)
    if(NOT ${VARIABLE})
      execute_process(COMMAND "${MYSQL_CONFIG}" ${OPTION}
        OUTPUT_VARIABLE MYSQL_CONFIG_OUTPUT)
      string(STRIP ${MYSQL_CONFIG_OUTPUT} ${VARIABLE})
    endif()
  endmacro()

  set_mysql_config_value("--plugindir" MYSQL_PLUGIN_DIR)
  set_mysql_config_value("--variable=pkglibdir" MYSQL_PKG_LIB_DIR)
  set(MYSQL_SERVICES_LIB_STATIC
    "${MYSQL_BUILD_DIR}/archive_output_directory/libmysqlservices.a")
  if(NOT EXISTS "${MYSQL_SERVICES_LIB_STATIC}")
    set(MYSQL_SERVICES_LIB_STATIC
      "${MYSQL_BUILD_DIR}/libservices/libmysqlservices.a")
  endif()
  if(NOT EXISTS "${MYSQL_SERVICES_LIB_STATIC}")
    set(MYSQL_SERVICES_LIB_STATIC "${MYSQL_PKG_LIB_DIR}/libmysqlservices.a")
  endif()
  set(PERFSCHEMA_LIB_STATIC
    "${MYSQL_BUILD_DIR}/storage/perfschema/libperfschema.a")
  if(NOT EXISTS "${PERFSCHEMA_LIB_STATIC}")
    set(PERFSCHEMA_LIB_STATIC "${MYSQL_PKG_LIB_DIR}/libperfschema.a")
  endif()
  set_mysql_config_value("--cflags" MYSQL_CFLAGS)
  set_mysql_config_value("--version" MYSQL_VERSION)
endif()

if(MRN_GROONGA_BUNDLED)
  if(WITH_ZLIB STREQUAL "bundled")
    target_include_directories(zlib SYSTEM INTERFACE ${ZLIB_INCLUDE_DIR})
  endif()

  option(MRN_GROONGA_EMBED
    "Embed libgroonga"
    ON)
  if(MRN_GROONGA_EMBED)
    set(GRN_EMBED ON)
  endif()

  set(MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_RELATIVE_DIR
    "../../extra/groonga-normalizer-mysql")
  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_RELATIVE_DIR}")
    set(MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_DIR
      "${CMAKE_CURRENT_SOURCE_DIR}/${MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_RELATIVE_DIR}")
  else()
    set(MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_RELATIVE_DIR)
    set(MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_DIR
      "${MRN_BUNDLED_GROONGA_DIR}/vendor/plugins/groonga-normalizer-mysql")
  endif()
  option(MRN_GROONGA_NORMALIZER_MYSQL_EMBED
    "Embed groonga-normalizer-mysql Groonga plugin"
    ON)
  if(EXISTS ${MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_DIR})
    set(GROONGA_NORMALIZER_MYSQL_FOUND ON)
  else()
    set(GROONGA_NORMALIZER_MYSQL_FOUND OFF)
    set(MRN_GROONGA_NORMALIZER_MYSQL_EMBED OFF)
  endif()
  if(MRN_GROONGA_NORMALIZER_MYSQL_EMBED)
    set(GROONGA_NORMALIZER_MYSQL_EMBED ON)
  endif()

  function(mrn_build_groonga)
    if(MSVC)
      # Disable warning as errors defined in MariaDB
      string(APPEND CMAKE_C_FLAGS " /wd4700 /wd4311 /wd4477 /wd4302 /wd4090")
      string(APPEND CMAKE_CXX_FLAGS " /wd4099 /wd4700 /wd4311 /wd4477 /wd4302 /wd4090")
    endif()
    add_subdirectory("${MRN_BUNDLED_GROONGA_RELATIVE_DIR}" groonga)
    if(GROONGA_NORMALIZER_MYSQL_FOUND AND
        MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_RELATIVE_DIR)
      add_subdirectory("${MRN_BUNDLED_GROONGA_NORMALIZER_MYSQL_RELATIVE_DIR}"
        groonga-normalizer-mysql)
    endif()
  endfunction()
  mrn_build_groonga()
else()
  set(MRN_GROONGA_EMBED OFF)

  file(READ ${CMAKE_CURRENT_SOURCE_DIR}/required_groonga_version REQUIRED_GROONGA_VERSION)
  string(STRIP "${REQUIRED_GROONGA_VERSION}" REQUIRED_GROONGA_VERSION)

  file(READ
    ${CMAKE_CURRENT_SOURCE_DIR}/required_groonga_normalizer_mysql_version
    REQUIRED_GROONGA_NORMALIZER_MYSQL_VERSION)
  string(STRIP
    "${REQUIRED_GROONGA_NORMALIZER_MYSQL_VERSION}"
    REQUIRED_GROONGA_NORMALIZER_MYSQL_VERSION)
endif()

set(MRN_PACKAGE_STRING "${PROJECT_NAME} ${MRN_VERSION_FULL}")

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(${CMAKE_CURRENT_SOURCE_DIR}/build/cmake_modules/ReadFileList.cmake)

set(MRN_C_COMPILE_FLAGS "")
set(MRN_CXX_COMPILE_FLAGS "")

macro(mrn_check_cflag flag)
  string(REGEX REPLACE "[-=]" "_" temporary_variable_name ${flag})
  string(TOUPPER "${temporary_variable_name}" temporary_variable_name)
  set(temporary_variable_name "CFLAG${temporary_variable_name}")
  check_c_compiler_flag(${flag} ${temporary_variable_name})
  if(${temporary_variable_name})
    set(MRN_C_COMPILE_FLAGS "${MRN_C_COMPILE_FLAGS} ${flag}")
  endif()
endmacro()

macro(mrn_check_cxxflag flag)
  string(REGEX REPLACE "[-=]" "_" temporary_variable_name ${flag})
  string(TOUPPER "${temporary_variable_name}" temporary_variable_name)
  set(temporary_variable_name "CXXFLAG${temporary_variable_name}")
  check_cxx_compiler_flag(${flag} ${temporary_variable_name})
  if(${temporary_variable_name})
    set(MRN_CXX_COMPILE_FLAGS "${MRN_CXX_COMPILE_FLAGS} ${flag}")
  endif()
endmacro()

macro(mrn_build_flag flag)
  mrn_check_cflag(${flag})
  mrn_check_cxxflag(${flag})
endmacro()

read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/sources.am MRN_SOURCES)
read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/lib/libmrn_no_mysql_sources.am
  LIBMRN_NO_MYSQL_SOURCES)
string(REGEX REPLACE "([^;]+)" "${CMAKE_CURRENT_SOURCE_DIR}/lib/\\1"
  LIBMRN_NO_MYSQL_SOURCES "${LIBMRN_NO_MYSQL_SOURCES}")
read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/lib/libmrn_need_mysql_sources.am
  LIBMRN_NEED_MYSQL_SOURCES)
string(REGEX REPLACE "([^;]+)" "${CMAKE_CURRENT_SOURCE_DIR}/lib/\\1"
  LIBMRN_NEED_MYSQL_SOURCES "${LIBMRN_NEED_MYSQL_SOURCES}")
read_file_list(${CMAKE_CURRENT_SOURCE_DIR}/udf/sources.am MRN_UDF_SOURCES)
string(REGEX REPLACE "([^;]+)" "${CMAKE_CURRENT_SOURCE_DIR}/udf/\\1"
  MRN_UDF_SOURCES "${MRN_UDF_SOURCES}")

if(EXISTS "${MYSQL_SOURCE_DIR}/storage/maria")
  set(MYSQL_VARIANT "MariaDB")
else()
  set(MYSQL_VARIANT "MySQL")
endif()

if(${MYSQL_VARIANT} STREQUAL "MariaDB")
  set(CMAKE_CXX_STANDARD 11)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
else()
  if(${MYSQL_VERSION} VERSION_LESS "8.4")
    set(CMAKE_CXX_STANDARD 17)
  else()
    set(CMAKE_CXX_STANDARD 20)
  endif()
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

set(MRN_ALL_SOURCES
  ${MRN_SOURCES}
  ${MRN_UDF_SOURCES}
  ${LIBMRN_NO_MYSQL_SOURCES}
  ${LIBMRN_NEED_MYSQL_SOURCES})

mrn_build_flag("-Wno-frame-larger-than")
if(MRN_BUNDLED)
  mysql_add_plugin(mroonga
    ${MRN_ALL_SOURCES}
    STORAGE_ENGINE MODULE_ONLY
    LINK_LIBRARIES ${MRN_LIBRARIES})
  if(NOT TARGET mroonga)
    return()
  endif()
  separate_arguments(MRN_CXX_COMPILE_FLAGS_LIST NATIVE_COMMAND "${MRN_CXX_COMPILE_FLAGS}")
  target_compile_options(mroonga PRIVATE ${MRN_CXX_COMPILE_FLAGS_LIST})
else()
  add_library(mroonga MODULE ${MRN_ALL_SOURCES})

  if(NOT WIN32)
    set(MRN_LIBRARIES ${MRN_LIBRARIES} ${MYSQL_SERVICES_LIB_STATIC})
    if(MYSQL_VARIANT STREQUAL "MariaDB" AND EXISTS "${PERFSCHEMA_LIB_STATIC}")
      set(MRN_LIBRARIES ${MRN_LIBRARIES} ${PERFSCHEMA_LIB_STATIC})
    endif()
  endif()
  if(APPLE)
    # Need to use -bundle_loader to resolve symbols by mysqld executable.
    set(MYSQLD "mysqld" CACHE PATH "Path to mysqld executable")
    find_program(MYSQLD_ABSOLUTE ${MYSQLD} REQUIRED)
    add_executable(mysqld IMPORTED)
    set_property(TARGET mysqld PROPERTY IMPORTED_LOCATION ${MYSQLD_ABSOLUTE})
    set_property(TARGET mysqld PROPERTY ENABLE_EXPORTS TRUE)
    list(APPEND MRN_LIBRARIES mysqld)
  endif()
  target_link_libraries(mroonga PRIVATE ${MRN_LIBRARIES})

  option(WITH_DEBUG "Enable debug options" OFF)
  if(WITH_DEBUG)
    set_property(TARGET mroonga APPEND PROPERTY
      COMPILE_DEFINITIONS "SAFE_MUTEX")
    if(${MYSQL_VARIANT} STREQUAL "MariaDB")
      set_property(TARGET mroonga APPEND PROPERTY
        COMPILE_DEFINITIONS "DBUG_TRACE")
    endif()
    if(CMAKE_COMPILER_IS_GNUCXX)
      set(MRN_C_COMPILE_FLAGS "${MRN_C_COMPILE_FLAGS} -g3 -O0")
      set(MRN_CXX_COMPILE_FLAGS "${MRN_CXX_COMPILE_FLAGS} -g3 -O0")
    endif()
  else()
    set_property(TARGET mroonga APPEND PROPERTY
      COMPILE_DEFINITIONS "NDEBUG" "DBUG_OFF")
  endif()

  option(WITH_DEBUG_FULL "Enable full debug options" OFF)
  if(WITH_DEBUG_FULL)
    set_property(TARGET mroonga APPEND PROPERTY
      COMPILE_DEFINITIONS "SAFE_MUTEX" "SAFEMALLOC")
  endif()

  option(DISABLE_FAST_MUTEXES "Force disabling fast mutex" OFF)
  if(DISABLE_FAST_MUTEXES)
    set_property(TARGET mroonga APPEND PROPERTY
      COMPILE_DEFINITIONS "FORCE_FAST_MUTEX_DISABLED=1")
  endif()

  option(WITH_FAST_MUTEXES "Enable fast mutex" OFF)
  if(WITH_FAST_MUTEXES)
    set_property(TARGET mroonga APPEND PROPERTY
      COMPILE_DEFINITIONS "MY_PTHREAD_FASTMUTEX")
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX)

=== debian/changelog ===
mariadb-11.8-mroonga (15.23-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 27 Jan 2026 07:03:03 -0000

=== debian/control ===
Source: mariadb-11.8-mroonga
Section: database
Priority: optional
Maintainer: Horimoto Yasuhiro <horimoto@clear-code.com>
Build-Depends:
	bison,
	chrpath,
	cmake,
	debhelper (>= 13),
	dh-apparmor,
	gdb,
	groonga-normalizer-mysql,
	libaio-dev [linux-any],
	libboost-dev,
	libgroonga-dev (>= 11.0.0),
	libjemalloc-dev [linux-any],
	libjudy-dev,
	libmariadb-client-lgpl-dev-compat,
	libmariadbd-dev,
	libncurses5-dev,
	libpam0g-dev,
	libpcre2-dev,
	libpmem-dev,
	libreadline-dev,
	libsnappy-dev,
	libssl-dev,
	liburing-dev,
	libxml2-dev,
	lsb-release,
	ninja-build,
	perl,
	pkg-config,
	po-debconf,
	psmisc,
	unixodbc-dev,
	wget,
	zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://mroonga.org/

Package: mariadb-mroonga
Section: database
Architecture: any
Depends:
	mariadb-11.8-mroonga (= ${binary:Version}),
	mariadb-server (= 1:11.8.3-0+deb13u1)
Description: A fast fulltext searchable storage engine for MariaDB.
 This package is a metapackage depending on the latest version.
 Mroonga is a fast fulltext searchable storage engine for MariaDB.
 It is based on Groonga, a fast fulltext search engine and column store.
 Groonga is good at real time update.
 .
 This package provides a storage engine MariaDB 11.8 as a shared library.
 This provides "Mroonga" storage engine. It means you can use
 "ENGINE = Mroonga" in "CREATE TABLE".

Package: mariadb-11.8-mroonga
Section: database
Architecture: any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	groonga-normalizer-mysql,
	libgroonga0 (>= 11.0.0),
	mariadb-server (= 1:11.8.3-0+deb13u1),
	mariadb-server-core (= 1:11.8.3-0+deb13u1)
Conflicts:
	mariadb-plugin-mroonga
Description: A fast fulltext searchable storage engine for MariaDB 11.8.
 Mroonga is a fast fulltext searchable storage engine for MariaDB.
 It is based on Groonga, a fast fulltext search engine and column store.
 Groonga is good at real time update.
 .
 This package provides a storage engine MariaDB 11.8 as a shared library.
 This provides "Mroonga" storage engine. It means you can use
 "ENGINE = Mroonga" in "CREATE TABLE".

Package: mariadb-11.8-mroonga-doc
Section: doc
Architecture: all
Depends:
	${misc:Depends}
Description: Documentation of Mroonga.
 Mroonga is a fast fulltext searchable storage engine for MariaDB.
 It is based on Groonga, a fast fulltext search engine and column store.
 Groonga is good at real time update.
 .
 This package provides documentation of Mroonga.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This has to be exported to make some magic below work.
export DH_OPTIONS

export MARIADB_VERSION_FULL := $(shell apt-cache show mariadb-server | grep Version | head -n 1 | awk '{print $$2}' | cut -d: -f2)
export MARIADB_VERSION := $(shell apt-cache show mariadb-server | grep Version | head -n 1 | awk '{print $$2}' | cut -d: -f2 | awk -F '-' '{print $$1}')

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	archive_base=mariadb_$(MARIADB_VERSION);			\
	archive=$${archive_base}.orig.tar.gz;				\
	debian=mariadb_$(MARIADB_VERSION_FULL).debian.tar.xz;		\
	source_base=mariadb-$(MARIADB_VERSION);				\
	build_dir=$${source_base}/builddir;				\
	if [ "$$(lsb_release --id --short)" = "Ubuntu" ]; then		\
	  path=universe/m/mariadb;					\
	  base_url=http://archive.ubuntu.com/ubuntu/pool;		\
	  security_base_url=http://security.ubuntu.com/ubuntu/pool;	\
	else								\
	  path=main/m/mariadb;						\
	  base_url=http://ftp.debian.org/debian/pool;			\
	  security_base_url=http://security.debian.org/pool/updates;	\
	fi;								\
	wget --no-verbose $${security_base_url}/$${path}/$${archive} ||	\
	  wget --no-verbose $${base_url}/$${path}/$${archive};		\
	wget --no-verbose $${security_base_url}/$${path}/$${debian} ||	\
	  wget --no-verbose $${base_url}/$${path}/$${debian};		\
	tar xf $${archive};						\
	(cd $${source_base} &&						\
	  rm -rf debian/ &&						\
	  tar xf ../$${debian});					\
	dpkg-source --before-build $${source_base};			\
	(cd $${source_base} &&						\
	  debian/rules override_dh_auto_configure);			\
	(cd $${build_dir}/storage/perfschema &&				\
	  $(MAKE) -j$$(nproc) perfschema);				\
	dh_auto_configure						\
	  --buildsystem=cmake+ninja					\
	  --								\
	  -DMRN_WITH_DOC=ON						\
	  -DMYSQL_BUILD_DIR=$$(pwd)/$${build_dir}			\
	  -DMYSQL_CONFIG=$$(pwd)/$${build_dir}/scripts/mysql_config	\
	  -DMYSQL_SOURCE_DIR=$$(pwd)/$${source_base}

# disable 'make check'.
override_dh_auto_test:

override_dh_install:
	mv debian/tmp/usr/share/doc/mroonga/ \
	  debian/tmp/usr/share/doc/mariadb-11.8-mroonga-doc/
	dh_install

## mariadb-11.8-mroonga 15.25

=== debian/changelog ===
mariadb-11.8-mroonga (15.25-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 06 Feb 2026 06:43:50 -0000
